.level_two {
    margin: 1em auto;
}
.padding-cell{
    box-sizing: border-box;
    padding: 1em .4em;
}
.product_block{
    height: 120px !important;
}
.name-row{
    box-sizing: border-box;
    margin: .4em 0;
}
.painting{
    height: auto !important;
}
.alda.level_two .product_block .link_img {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 70px;
    text-align: center;
    display: inline-block;
    vertical-align: middle;
}
.alda.level_two .product_block .link_img img{
    display: inline-block;
    vertical-align: middle;
}